Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 976727 - no debug log output when using haproxy_ctl -u --debug
Summary: no debug log output when using haproxy_ctl -u --debug
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: OpenShift Online
Classification: Red Hat
Component: Image
Version: 2.x
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: ---
: ---
Assignee: Mrunal Patel
QA Contact: libra bugs
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-06-21 10:08 UTC by Yan Du
Modified: 2015-05-15 00:33 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-01-24 03:22:33 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Yan Du 2013-06-21 10:08:53 UTC
Description of problem:
create a scalable app, scale up the app, there is no debug log outpuy when ssh into the app and using haproxy_ctl -u --debug cmd


Version-Release number of selected component (if applicable):
INT(deven_3395)
rhc-1.10.5


How reproducible:
Always


Steps to Reproduce:
1. Create an scaling perl app 
$ rhc app create cpl0s0 perl-5.10 -s

2. add disable_auto_scaling markers
touch .openshift/markers/disable_auto_scaling

and git push
3.scale up the app with rest api

4.ssh into app 
$ rhc app ssh cpl0s0
[cpl0s0-111.dev.rhcloud.com 7d89debeda5611e296bf12313d08098f]\> haproxy_ctld -u --debug


Actual results:
no debug log output when using haproxy_ctl -u --debug


Expected results:
debug infomation should show.

Comment 1 Mrunal Patel 2013-07-18 23:21:01 UTC
haproxy_ctld_daemon stop
haproxy_ctld_daemon start -- --debug
should start haproxy_ctld in debug mode.

Comment 2 Yan Du 2013-07-22 01:55:57 UTC
test on devenv_3535

still can't get debug info

[phps-111.dev.rhcloud.com 51ec8db11172310a2b000001]\> haproxy_ctld_daemon stop
[phps-111.dev.rhcloud.com 51ec8db11172310a2b000001]\> haproxy_ctld_daemon start -- --debug
[phps-111.dev.rhcloud.com 51ec8db11172310a2b000001]\> 
[phps-111.dev.rhcloud.com 51ec8db11172310a2b000001]\> haproxy_ctld -u --debug
[phps-111.dev.rhcloud.com 51ec8db11172310a2b000001]\>

Comment 3 Andy Goldstein 2013-11-04 22:11:37 UTC
If you use the --debug flag, it will log at DEBUG level to haproxy/logs/scale_events.log. It does not print to STDOUT.

Comment 4 Yan Du 2013-11-05 09:19:42 UTC
Test on devenv_3688

debug log save in haproxy/logs/scale_events.log when using --debug option.

move bug to verified.


Note You need to log in before you can comment on or make changes to this bug.